6 Replies Latest reply on Nov 30, 2011 1:29 PM by gparker

    VMFS and VMDK compatibility

    gparker Enthusiast

      Hi,

       

      I've got a number of ESX 3.0.2-Update1 hosts which I'm going to be doing fresh installs of ESXi 4.1 onto. The 3.0.2 hosts are connected to external storage where the Datastores and VM's are stored. Is ESXi 4.1 compatible with the VMFS format/version and VMDK format/version of the existing data? Will the ESXi 4.1 hosts be able to mount the Datastores and power-up the VM's ok?

       

      George.

        • 1. Re: VMFS and VMDK compatibility
          a.p. Guru
          vExpertUser ModeratorsCommunity Warriors

          If the datastores are on version VMFS-3, there's no issue with accessing the datastores and the VMs. However, you need to make sure (I assume you already did) that the storage system itself is compatible with ESXi 4.1.

           

          André

          • 2. Re: VMFS and VMDK compatibility
            gparker Enthusiast

            Hi Andre,

             

            Thanks for your quick reply. Yes I checked the storage system compatibitility - it's a HP EVA6000 - which is compatible with ESXi 4.1 provided it's running a minimum firmware revision of "XCS 6200" to take advantage of things like Hardware Acceleration etc. Up until last week it was running an earlier firmware and I arranged to have it upgraded last weekend, so from the EVA's point of view, the hosts are ready to be upgraded to ESXi 4.1

             

            I'm 90% sure that the Datastores are on VMFS-3 version. I'm planning to upgrade the VMware Tools and Virtual Hardware on the VM's once all the hosts have been migrated to ESXi 4.1. Can there be any possibility of the Datastores not being on VMFS-3?

             

            George.

            • 3. Re: VMFS and VMDK compatibility
              gparker Enthusiast

              Hi again,

               

              I can confirm that the Datastore File System on the LUNs is "VMFS 3.21", so I guess that means that the ESXi 4.1 hosts won't have any issues mounting the LUNs and starting up the VM's?

               

              George.

              • 4. Re: VMFS and VMDK compatibility
                gparker Enthusiast

                The vSphere 4.1 upgrade guide states that "VMDK3 virtual disk Not supported with vCenter Server 4.1". Are virtual disks created with ESX 3.0.2 VMDK3 and if so, will the ESXi 4.1 hosts have any issues powering up my VM's?

                 

                Regards,

                George.

                • 5. Re: VMFS and VMDK compatibility
                  a.p. Guru
                  User ModeratorsvExpertCommunity Warriors

                  There are two things to look at. The first one is the version of the VMFS file system, which is - as you said - VMFS 3.21, so this is ok. The second one is the VM's virtual hardware version which has to be at least 4. (see http://kb.vmware.com/kb/1003746) With ESX 3.02 this should be the case.

                   

                  André

                  • 6. Re: VMFS and VMDK compatibility
                    gparker Enthusiast

                    Great, thanks very much Andre

                     

                    George.